diff --git a/src/main/java/net/minecraft/client/gui/PauseScreen.java b/src/main/java/net/minecraft/client/gui/ScreenPause.java
similarity index 85%
rename from src/main/java/net/minecraft/client/gui/PauseScreen.java
rename to src/main/java/net/minecraft/client/gui/ScreenPause.java
index deb18a47e..d6d91d239 100644
--- a/src/main/java/net/minecraft/client/gui/PauseScreen.java
+++ b/src/main/java/net/minecraft/client/gui/ScreenPause.java
@@ -1,9 +1,9 @@
 package net.minecraft.client.gui;
 
-import net.minecraft.client.gui.achievements.AchievementsScreen;
-import net.minecraft.client.gui.guidebook.GuidebookScreen;
-import net.minecraft.client.gui.guidebook.PageManager;
-import net.minecraft.client.gui.guidebook.search.SearchPage;
+import net.minecraft.client.gui.achievements.ScreenAchievements;
+import net.minecraft.client.gui.guidebook.GuidebookPageManager;
+import net.minecraft.client.gui.guidebook.ScreenGuidebook;
+import net.minecraft.client.gui.guidebook.search.GuidebookPageSearch;
 import net.minecraft.client.gui.options.OptionsScreen;
 import net.minecraft.client.gui.options.data.OptionsPages;
 import net.minecraft.core.data.registry.Registries;
@@ -19,10 +19,10 @@ import net.minecraft.client.input.InputType;
 //            StatList, StatFileWriter, World, GuiMainMenu, 
 //            GuiAchievements, GuiStats, MathHelper
 
-public class PauseScreen extends Screen
+public class ScreenPause extends Screen
 {
 
-    public PauseScreen()
+    public ScreenPause()
     {
         updateCounter2 = 0;
         updateCounter = 0;
@@ -69,12 +69,12 @@ public class PauseScreen extends Screen
             {
                 mc.theWorld.sendQuittingDisconnectingPacket();
                 Registries.RECIPES = Registries.RECIPES_LOCAL_COPY;
-                SearchPage.searchField.setText("");
-                PageManager.searchQuery = SearchQuery.resolve(SearchPage.searchField.getText());
-                GuidebookScreen.getPageManager().updatePages();
+                GuidebookPageSearch.searchField.setText("");
+                GuidebookPageManager.searchQuery = SearchQuery.resolve(GuidebookPageSearch.searchField.getText());
+                ScreenGuidebook.getPageManager().updatePages();
             }
             mc.changeWorld(null);
-            mc.displayScreen(new MainMenuScreen());
+            mc.displayScreen(new ScreenMainMenu());
         }
         if(button.id == 4)
         {
@@ -87,15 +87,15 @@ public class PauseScreen extends Screen
         }
         if(button.id == 5)
         {
-            mc.displayScreen(new AchievementsScreen(this, mc.statsCounter));
+            mc.displayScreen(new ScreenAchievements(this, mc.statsCounter));
         }
         if(button.id == 6)
         {
-            mc.displayScreen(new StatsScreen(this, mc.statsCounter));
+            mc.displayScreen(new ScreenStats(this, mc.statsCounter));
         }
         if (button.id == 7)
         {
-            mc.displayScreen(new PhotoModeScreen());
+            mc.displayScreen(new ScreenPhotoMode());
         }
         if(button.id == 9){
             mc.displayScreen(new OptionsScreen(this, OptionsPages.DEBUG));
diff --git a/src/main/java/net/minecraft/client/gui/PhotoModeScreen.java b/src/main/java/net/minecraft/client/gui/ScreenPhotoMode.java
similarity index 99%
rename from src/main/java/net/minecraft/client/gui/PhotoModeScreen.java
rename to src/main/java/net/minecraft/client/gui/ScreenPhotoMode.java
index 7690118f9..bc9e7ffc3 100644
--- a/src/main/java/net/minecraft/client/gui/PhotoModeScreen.java
+++ b/src/main/java/net/minecraft/client/gui/ScreenPhotoMode.java
@@ -19,7 +19,7 @@ import net.minecraft.core.util.helper.ScreenShot;
 import java.io.File;
 import java.util.Locale;
 
-public class PhotoModeScreen extends Screen
+public class ScreenPhotoMode extends Screen
 {
     private ButtonElement buttonRotateLeft;
     private ButtonElement buttonRotateRight;
@@ -79,7 +79,7 @@ public class PhotoModeScreen extends Screen
     
     protected boolean showHelpText = true;
 
-    public PhotoModeScreen()
+    public ScreenPhotoMode()
     {
         Minecraft mc = Minecraft.getMinecraft(this);
 
diff --git a/src/main/java/net/minecraft/client/gui/SelectServerScreen.java b/src/main/java/net/minecraft/client/gui/ScreenSelectServer.java
similarity index 97%
rename from src/main/java/net/minecraft/client/gui/SelectServerScreen.java
rename to src/main/java/net/minecraft/client/gui/ScreenSelectServer.java
index af952745d..139cb67b0 100644
--- a/src/main/java/net/minecraft/client/gui/SelectServerScreen.java
+++ b/src/main/java/net/minecraft/client/gui/ScreenSelectServer.java
@@ -15,7 +15,7 @@ import java.io.File;
 import java.util.HashMap;
 import java.util.Map;
 
-public class SelectServerScreen extends Screen {
+public class ScreenSelectServer extends Screen {
 
 	protected String screenTitle = "Select server";
 	private boolean selected = false;
@@ -37,7 +37,7 @@ public class SelectServerScreen extends Screen {
 
 	private Map<ServerData, ThreadPingServer> pingThreads = new HashMap<>();
 
-	public SelectServerScreen(Screen parent) {
+	public ScreenSelectServer(Screen parent) {
 		super(parent);
 	}
 
@@ -105,9 +105,9 @@ public class SelectServerScreen extends Screen {
 		} else if(button == buttonConnect) {
 			selectServer(selectedServer);
 		} else if(button == buttonDirectConnect) {
-			mc.displayScreen(new ConnectToIpScreen(this));
+			mc.displayScreen(new ScreenConnectToIp(this));
 		} else if(button == buttonAdd) {
-			mc.displayScreen(new AddServerScreen(this, savedServerList));
+			mc.displayScreen(new ScreenAddServer(this, savedServerList));
 			savedServerList.writeToFile();
 		} else if(button == buttonCancel) {
 			mc.displayScreen(parentScreen);
@@ -196,7 +196,7 @@ public class SelectServerScreen extends Screen {
 		selected = true;
 		ServerData server = savedServerList.servers.get(selectedServer);
 		ServerAddress address = server.getServerAddress();
-		mc.displayScreen(new ConnectingScreen(mc, address.getIP(), address.getPort()));
+		mc.displayScreen(new ScreenConnecting(mc, address.getIP(), address.getPort()));
 	}
 
 	public void deleteWorld(boolean flag, int i) {
diff --git a/src/main/java/net/minecraft/client/gui/SelectWorldScreen.java b/src/main/java/net/minecraft/client/gui/ScreenSelectWorld.java
similarity index 98%
rename from src/main/java/net/minecraft/client/gui/SelectWorldScreen.java
rename to src/main/java/net/minecraft/client/gui/ScreenSelectWorld.java
index 8657b05d9..0ccc52d15 100644
--- a/src/main/java/net/minecraft/client/gui/SelectWorldScreen.java
+++ b/src/main/java/net/minecraft/client/gui/ScreenSelectWorld.java
@@ -22,7 +22,7 @@ import java.util.Collections;
 import java.util.Date;
 import java.util.List;
 
-public class SelectWorldScreen extends Screen
+public class ScreenSelectWorld extends Screen
 {
     private final DateFormat dateFormatter = new SimpleDateFormat();
     protected String stringTitle;
@@ -37,7 +37,7 @@ public class SelectWorldScreen extends Screen
     private ButtonElement buttonSelect;
     private ButtonElement buttonDelete;
 
-    public SelectWorldScreen(Screen parent)
+    public ScreenSelectWorld(Screen parent)
     {
         super(parent);
         stringTitle = "Select world";
@@ -180,7 +180,7 @@ public class SelectWorldScreen extends Screen
         }
         else if(button.id == 3)
         {
-            mc.displayScreen(new CreateWorldScreen(this));
+            mc.displayScreen(new ScreenCreateWorld(this));
         }
         else if(button.id == 6)
         {
diff --git a/src/main/java/net/minecraft/client/gui/SignEditorScreen.java b/src/main/java/net/minecraft/client/gui/ScreenSignEditor.java
similarity index 95%
rename from src/main/java/net/minecraft/client/gui/SignEditorScreen.java
rename to src/main/java/net/minecraft/client/gui/ScreenSignEditor.java
index 1cf8900c1..aa5c6720d 100644
--- a/src/main/java/net/minecraft/client/gui/SignEditorScreen.java
+++ b/src/main/java/net/minecraft/client/gui/ScreenSignEditor.java
@@ -2,7 +2,7 @@ package net.minecraft.client.gui;
 
 import net.minecraft.core.block.Block;
 import net.minecraft.core.block.Blocks;
-import net.minecraft.core.block.entity.SignBlockEntity;
+import net.minecraft.core.block.entity.TileEntitySign;
 import net.minecraft.core.enums.EnumSignPicture;
 import net.minecraft.core.util.helper.ChatAllowedCharacters;
 import net.minecraft.core.net.packet.SignUpdatePacket;
@@ -12,9 +12,9 @@ import net.minecraft.core.lang.I18n;
 import org.lwjgl.input.Keyboard;
 import org.lwjgl.opengl.GL11;
 
-public class SignEditorScreen extends Screen
+public class ScreenSignEditor extends Screen
 {
-    public SignEditorScreen(SignBlockEntity tileentitysign)
+    public ScreenSignEditor(TileEntitySign tileentitysign)
     {
         screenTitle = I18n.getInstance().translateKey("gui.edit_sign.label.title");
         editLine = 0;
@@ -107,7 +107,7 @@ public class SignEditorScreen extends Screen
         {
             entitySign.signText[editLine] = entitySign.signText[editLine].substring(0, entitySign.signText[editLine].length() - 1);
         }
-        if ((allowedCharacters.indexOf(eventCharacter) >= 0 || Character.isLetterOrDigit(eventCharacter)) && entitySign.signText[editLine].length() < SignBlockEntity.MAX_LINE_SIZE)
+        if ((allowedCharacters.indexOf(eventCharacter) >= 0 || Character.isLetterOrDigit(eventCharacter)) && entitySign.signText[editLine].length() < TileEntitySign.MAX_LINE_SIZE)
         {
             entitySign.signText[editLine] += eventCharacter;
         }
@@ -162,7 +162,7 @@ public class SignEditorScreen extends Screen
     }
 
     protected String screenTitle;
-    private SignBlockEntity entitySign;
+    private TileEntitySign entitySign;
     private int updateCounter;
     private int editLine;
     private int yOffset = 0;
diff --git a/src/main/java/net/minecraft/client/gui/SleepScreenSP.java b/src/main/java/net/minecraft/client/gui/ScreenSleepSP.java
similarity index 94%
rename from src/main/java/net/minecraft/client/gui/SleepScreenSP.java
rename to src/main/java/net/minecraft/client/gui/ScreenSleepSP.java
index ee1424127..ee6ca6110 100644
--- a/src/main/java/net/minecraft/client/gui/SleepScreenSP.java
+++ b/src/main/java/net/minecraft/client/gui/ScreenSleepSP.java
@@ -3,7 +3,7 @@ package net.minecraft.client.gui;
 import net.minecraft.core.lang.I18n;
 import org.lwjgl.input.Keyboard;
 
-public class SleepScreenSP extends Screen {
+public class ScreenSleepSP extends Screen {
 	
 	@Override
 	public void init() {
diff --git a/src/main/java/net/minecraft/client/gui/SoundTestScreen.java b/src/main/java/net/minecraft/client/gui/ScreenSoundTest.java
similarity index 99%
rename from src/main/java/net/minecraft/client/gui/SoundTestScreen.java
rename to src/main/java/net/minecraft/client/gui/ScreenSoundTest.java
index 99e4be8b3..58a2f9a78 100644
--- a/src/main/java/net/minecraft/client/gui/SoundTestScreen.java
+++ b/src/main/java/net/minecraft/client/gui/ScreenSoundTest.java
@@ -19,7 +19,7 @@ import java.io.File;
 import java.util.ArrayList;
 import java.util.List;
 
-public class SoundTestScreen extends Screen {
+public class ScreenSoundTest extends Screen {
     private static final int TOP_SPACING = 24;
     private static final int BUTTON_SPACING = 4;
 
@@ -37,7 +37,7 @@ public class SoundTestScreen extends Screen {
 
     protected boolean showURL = true;
 
-    public SoundTestScreen(Screen parent) {
+    public ScreenSoundTest(Screen parent) {
         super(parent);
         initRepos();
     }
diff --git a/src/main/java/net/minecraft/client/gui/StatsScreen.java b/src/main/java/net/minecraft/client/gui/ScreenStats.java
similarity index 99%
rename from src/main/java/net/minecraft/client/gui/StatsScreen.java
rename to src/main/java/net/minecraft/client/gui/ScreenStats.java
index 4c8d5c3d7..103101214 100644
--- a/src/main/java/net/minecraft/client/gui/StatsScreen.java
+++ b/src/main/java/net/minecraft/client/gui/ScreenStats.java
@@ -15,7 +15,7 @@ import org.lwjgl.opengl.GL12;
 
 import java.util.*;
 
-public class StatsScreen extends Screen {
+public class ScreenStats extends Screen {
     private static final int STATS_ICON_SIZE = 18;
     private static final int COLUMN_BUTTON_SIZE = 36;
     private static final int COLUMN0_RIGHT = 115;
@@ -31,7 +31,7 @@ public class StatsScreen extends Screen {
     private final StatsCounter statsCounter;
     private ScrolledSelectionList selectionList;
 
-    public StatsScreen(Screen parent, StatsCounter statsCounter)
+    public ScreenStats(Screen parent, StatsCounter statsCounter)
     {
         title = I18n.getInstance().translateKey("gui.statistics.label.title");
         selectionList = null;
diff --git a/src/main/java/net/minecraft/client/gui/TextureViewerScreen.java b/src/main/java/net/minecraft/client/gui/ScreenTextureViewer.java
similarity index 98%
rename from src/main/java/net/minecraft/client/gui/TextureViewerScreen.java
rename to src/main/java/net/minecraft/client/gui/ScreenTextureViewer.java
index 6d07f2ad3..ceca4cbfd 100644
--- a/src/main/java/net/minecraft/client/gui/TextureViewerScreen.java
+++ b/src/main/java/net/minecraft/client/gui/ScreenTextureViewer.java
@@ -21,7 +21,7 @@ import static org.lwjgl.opengl.GL11.GL_TEXTURE_HEIGHT;
 import static org.lwjgl.opengl.GL11.GL_TEXTURE_WIDTH;
 import static org.lwjgl.opengl.GL11.glGetTexLevelParameteri;
 
-public class TextureViewerScreen extends Screen {
+public class ScreenTextureViewer extends Screen {
     private static final int TOP_SPACING = 24;
     private static final int BUTTON_SPACING = 4;
 
@@ -36,7 +36,7 @@ public class TextureViewerScreen extends Screen {
     protected boolean flip = false;
     protected boolean drawText = true;
 
-    public TextureViewerScreen(Screen parent) {
+    public ScreenTextureViewer(Screen parent) {
         super(parent);
     }
 
diff --git a/src/main/java/net/minecraft/client/gui/WandMobPickerScreen.java b/src/main/java/net/minecraft/client/gui/ScreenWandMobPicker.java
similarity index 95%
rename from src/main/java/net/minecraft/client/gui/WandMobPickerScreen.java
rename to src/main/java/net/minecraft/client/gui/ScreenWandMobPicker.java
index a54c7e0f9..fad7d17c6 100644
--- a/src/main/java/net/minecraft/client/gui/WandMobPickerScreen.java
+++ b/src/main/java/net/minecraft/client/gui/ScreenWandMobPicker.java
@@ -14,13 +14,13 @@ import java.util.ArrayList;
 import java.util.Collections;
 import java.util.List;
 
-public class WandMobPickerScreen extends Screen {
+public class ScreenWandMobPicker extends Screen {
     private String mobId;
     private boolean shouldClose = false;
     private final ItemStack wand;
 
 
-    public WandMobPickerScreen(String mobId, ItemStack itemStack) {
+    public ScreenWandMobPicker(String mobId, ItemStack itemStack) {
         this.mobId = mobId;
         wand = itemStack;
     }
diff --git a/src/main/java/net/minecraft/client/gui/SliderElement.java b/src/main/java/net/minecraft/client/gui/SliderElement.java
index 210f80005..a700f9a70 100644
--- a/src/main/java/net/minecraft/client/gui/SliderElement.java
+++ b/src/main/java/net/minecraft/client/gui/SliderElement.java
@@ -6,24 +6,24 @@ import net.minecraft.client.render.texture.stitcher.TextureRegistry;
 import org.lwjgl.opengl.GL11;
 
 import net.minecraft.client.Minecraft;
-import net.minecraft.client.option.FloatOption;
+import net.minecraft.client.option.OptionFloat;
 
 public class SliderElement extends ButtonElement {
 
 	public float sliderValue;
 	public boolean dragging;
-	private final FloatOption option;
+	private final OptionFloat option;
 	public IconCoordinate backgroundTexture;
 
-	public SliderElement(int id, int xPosition, int yPosition, FloatOption floatOption) {
-		this(id, xPosition, yPosition, 150, 20, floatOption);
+	public SliderElement(int id, int xPosition, int yPosition, OptionFloat optionFloat) {
+		this(id, xPosition, yPosition, 150, 20, optionFloat);
 	}
 
-	public SliderElement(int id, int xPosition, int yPosition, int width, int height, FloatOption floatOption) {
-		super(id, xPosition, yPosition, width, height, floatOption.getDisplayStringValue());
+	public SliderElement(int id, int xPosition, int yPosition, int width, int height, OptionFloat optionFloat) {
+		super(id, xPosition, yPosition, width, height, optionFloat.getDisplayStringValue());
 		this.dragging = false;
-		this.option = floatOption;
-		this.sliderValue = floatOption.value;
+		this.option = optionFloat;
+		this.sliderValue = optionFloat.value;
 	}
 
 	public SliderElement(int id, int xPosition, int yPosition, int width, int height, String text, float defaultValue) {
diff --git a/src/main/java/net/minecraft/client/gui/TooltipElement.java b/src/main/java/net/minecraft/client/gui/TooltipElement.java
index 9bc2f815f..410701219 100644
--- a/src/main/java/net/minecraft/client/gui/TooltipElement.java
+++ b/src/main/java/net/minecraft/client/gui/TooltipElement.java
@@ -9,10 +9,10 @@ import net.minecraft.client.option.enums.TooltipStyle;
 import net.minecraft.client.render.Font;
 import net.minecraft.client.render.tessellator.Tessellator;
 import net.minecraft.core.player.inventory.slot.Slot;
-import net.minecraft.core.player.inventory.slot.ResultSlot;
+import net.minecraft.core.player.inventory.slot.SlotResult;
 import net.minecraft.core.lang.I18n;
 import net.minecraft.core.net.command.TextFormatting;
-import net.minecraft.client.gui.guidebook.GuidebookSlot;
+import net.minecraft.client.gui.guidebook.SlotGuidebook;
 import org.lwjgl.input.Keyboard;
 import org.lwjgl.opengl.GL11;
 
@@ -224,7 +224,7 @@ public class TooltipElement extends Gui
 		if(slot != null) {
 			discovered = slot.getIsDiscovered(mc.thePlayer);
 
-			if(slot instanceof ResultSlot) {
+			if(slot instanceof SlotResult) {
 				ctrlPressed = Keyboard.isKeyDown(Keyboard.KEY_LCONTROL) || Keyboard.isKeyDown(Keyboard.KEY_RCONTROL);
 				shiftPressed = Keyboard.isKeyDown(Keyboard.KEY_LSHIFT) || Keyboard.isKeyDown(Keyboard.KEY_RSHIFT);
 
@@ -246,12 +246,12 @@ public class TooltipElement extends Gui
                 text.append(" #").append(itemStack.itemID).append(":").append(itemStack.getMetadata());
             }
 
-            if(slot instanceof GuidebookSlot){
-                if(((GuidebookSlot) slot).recipe != null) {
-                    if (((GuidebookSlot) slot).recipe instanceof RecipeEntryTrommel) {
-                        RecipeSymbol input = (RecipeSymbol) ((GuidebookSlot) slot).recipe.getInput();
+            if(slot instanceof SlotGuidebook){
+                if(((SlotGuidebook) slot).recipe != null) {
+                    if (((SlotGuidebook) slot).recipe instanceof RecipeEntryTrommel) {
+                        RecipeSymbol input = (RecipeSymbol) ((SlotGuidebook) slot).recipe.getInput();
                         if(!input.matches(slot.getItem())){
-                            WeightedRandomBag<?> bag = (WeightedRandomBag<?>) ((GuidebookSlot) slot).recipe.getOutput();
+                            WeightedRandomBag<?> bag = (WeightedRandomBag<?>) ((SlotGuidebook) slot).recipe.getOutput();
                             double percent = bag.getAsPercentage(slot.getItem());
                             text.append('\n').append(TextFormatting.LIGHT_GRAY).append(String.format("%.2f", percent)).append("%");
                         }
@@ -266,13 +266,13 @@ public class TooltipElement extends Gui
 					text.append('\n').append(TextFormatting.LIGHT_GRAY).append("NBT: ").append(data.getValue().size()).append(" Tags");
 				}
 
-                if(slot instanceof GuidebookSlot){
-                    if(((GuidebookSlot) slot).recipe != null){
-                        text.append('\n').append(TextFormatting.GRAY).append(((GuidebookSlot) slot).recipe.toString());
+                if(slot instanceof SlotGuidebook){
+                    if(((SlotGuidebook) slot).recipe != null){
+                        text.append('\n').append(TextFormatting.GRAY).append(((SlotGuidebook) slot).recipe.toString());
                     }
-                    if(((GuidebookSlot) slot).symbol != null){
-                        if(((GuidebookSlot) slot).symbol.getItemGroup() != null){
-                            text.append('\n').append(TextFormatting.GRAY).append("Accepts any: ").append(((GuidebookSlot) slot).symbol.getItemGroup());
+                    if(((SlotGuidebook) slot).symbol != null){
+                        if(((SlotGuidebook) slot).symbol.getItemGroup() != null){
+                            text.append('\n').append(TextFormatting.GRAY).append("Accepts any: ").append(((SlotGuidebook) slot).symbol.getItemGroup());
                         }
                     }
                 }
@@ -289,7 +289,7 @@ public class TooltipElement extends Gui
 				text.append('\n').append(formatDescription(itemStack.getItemDescription(), 16));
 			}
 
-			if(slot instanceof ResultSlot) {
+			if(slot instanceof SlotResult) {
 				if(shiftPressed && !ctrlPressed) {
 					text.append('\n').append(TextFormatting.LIGHT_GRAY).append("Craft Stack");
 				}
diff --git a/src/main/java/net/minecraft/client/gui/achievements/AchievementsScreen.java b/src/main/java/net/minecraft/client/gui/achievements/ScreenAchievements.java
similarity index 99%
rename from src/main/java/net/minecraft/client/gui/achievements/AchievementsScreen.java
rename to src/main/java/net/minecraft/client/gui/achievements/ScreenAchievements.java
index a68d746f5..652d1b877 100644
--- a/src/main/java/net/minecraft/client/gui/achievements/AchievementsScreen.java
+++ b/src/main/java/net/minecraft/client/gui/achievements/ScreenAchievements.java
@@ -37,7 +37,7 @@ import static org.lwjgl.opengl.GL11.GL_TEXTURE_2D;
 import static org.lwjgl.opengl.GL11.glDisable;
 import static org.lwjgl.opengl.GL11.glEnable;
 
-public class AchievementsScreen extends Screen
+public class ScreenAchievements extends Screen
 {
 
 
@@ -104,7 +104,7 @@ public class AchievementsScreen extends Screen
 
     private @NotNull BGLayer[] layers;
 
-    public AchievementsScreen(Screen parent, StatsCounter statsCounter)
+    public ScreenAchievements(Screen parent, StatsCounter statsCounter)
     {
         mouseXOld = 0;
         mouseYOld = 0;
@@ -178,7 +178,7 @@ public class AchievementsScreen extends Screen
         shiftMaxX += (int) (viewportWidth /4d);
         shiftMaxY += (int) (viewportHeight/4d);
 
-        // Centers the screen on the Open Inventory achievement
+        // Centers the screen on the Open ContainerInventory achievement
         Achievement ach = currentPage.onOpenAchievement();
         oldShiftX = targetShiftX = currentShiftX = ach.x * ACHIEVEMENT_CELL_WIDTH + ACHIEVEMENT_CELL_WIDTH/2d;
         oldShiftY = targetShiftY = currentShiftY = ach.y * ACHIEVEMENT_CELL_HEIGHT + ACHIEVEMENT_CELL_HEIGHT/2d;
diff --git a/src/main/java/net/minecraft/client/gui/achievements/data/AchievementPage.java b/src/main/java/net/minecraft/client/gui/achievements/data/AchievementPage.java
index 656bf7e2c..689a41eeb 100644
--- a/src/main/java/net/minecraft/client/gui/achievements/data/AchievementPage.java
+++ b/src/main/java/net/minecraft/client/gui/achievements/data/AchievementPage.java
@@ -1,6 +1,6 @@
 package net.minecraft.client.gui.achievements.data;
 
-import net.minecraft.client.gui.achievements.AchievementsScreen;
+import net.minecraft.client.gui.achievements.ScreenAchievements;
 import net.minecraft.client.render.block.model.BlockModelDispatcher;
 import net.minecraft.client.render.texture.stitcher.IconCoordinate;
 import net.minecraft.core.achievement.Achievement;
@@ -29,9 +29,9 @@ public abstract class AchievementPage {
 
     public abstract @NotNull Achievement onOpenAchievement();
 
-    public abstract @Nullable IconCoordinate getBackgroundTile(AchievementsScreen screen, int layer, Random random, int tileX, int tileY);
+    public abstract @Nullable IconCoordinate getBackgroundTile(ScreenAchievements screen, int layer, Random random, int tileX, int tileY);
 
-    public abstract void postProcessBackground(AchievementsScreen screen, Random random, AchievementsScreen.BGLayer layerCache, int orgX, int orgY);
+    public abstract void postProcessBackground(ScreenAchievements screen, Random random, ScreenAchievements.BGLayer layerCache, int orgX, int orgY);
 
     public abstract @NotNull ItemStack getIcon();
 
diff --git a/src/main/java/net/minecraft/client/gui/achievements/data/AchievementPages.java b/src/main/java/net/minecraft/client/gui/achievements/data/AchievementPages.java
index 7a59d1248..9ea666060 100644
--- a/src/main/java/net/minecraft/client/gui/achievements/data/AchievementPages.java
+++ b/src/main/java/net/minecraft/client/gui/achievements/data/AchievementPages.java
@@ -1,7 +1,7 @@
 package net.minecraft.client.gui.achievements.data;
 
-import net.minecraft.client.gui.achievements.pages.OverworldPage;
-import net.minecraft.client.gui.achievements.pages.NetherPage;
+import net.minecraft.client.gui.achievements.pages.AchievementPageOverworld;
+import net.minecraft.client.gui.achievements.pages.AchievementPageNether;
 import net.minecraft.core.achievement.Achievements;
 import net.minecraft.core.block.Blocks;
 
@@ -18,8 +18,8 @@ public class AchievementPages {
     public static void init(){
         if (hasInit) return;
         hasInit = true;
-        overworldPage = register(new OverworldPage("gui.achievements.page.overworld", Blocks.GRASS.getDefaultStack()));
-        netherPage = register(new NetherPage("gui.achievements.page.nether", Blocks.COBBLE_NETHERRACK.getDefaultStack()));
+        overworldPage = register(new AchievementPageOverworld("gui.achievements.page.overworld", Blocks.GRASS.getDefaultStack()));
+        netherPage = register(new AchievementPageNether("gui.achievements.page.nether", Blocks.COBBLE_NETHERRACK.getDefaultStack()));
     }
     static {
         Achievements.init();
diff --git a/src/main/java/net/minecraft/client/gui/achievements/pages/NetherPage.java b/src/main/java/net/minecraft/client/gui/achievements/pages/AchievementPageNether.java
similarity index 88%
rename from src/main/java/net/minecraft/client/gui/achievements/pages/NetherPage.java
rename to src/main/java/net/minecraft/client/gui/achievements/pages/AchievementPageNether.java
index 5b007311f..2a97efc55 100644
--- a/src/main/java/net/minecraft/client/gui/achievements/pages/NetherPage.java
+++ b/src/main/java/net/minecraft/client/gui/achievements/pages/AchievementPageNether.java
@@ -1,7 +1,7 @@
 package net.minecraft.client.gui.achievements.pages;
 
 import net.minecraft.client.Minecraft;
-import net.minecraft.client.gui.achievements.AchievementsScreen;
+import net.minecraft.client.gui.achievements.ScreenAchievements;
 import net.minecraft.client.gui.achievements.data.AchievementPage;
 import net.minecraft.client.render.texture.stitcher.IconCoordinate;
 import net.minecraft.client.render.texture.stitcher.TextureRegistry;
@@ -14,13 +14,13 @@ import org.jetbrains.annotations.NotNull;
 
 import java.util.Random;
 
-public class NetherPage extends AchievementPage {
+public class AchievementPageNether extends AchievementPage {
     protected final Minecraft mc = Minecraft.getMinecraft(this);
     protected final ItemStack icon;
     @NotNull
     protected final String key;
 
-    public NetherPage(String key, ItemStack icon) {
+    public AchievementPageNether(String key, ItemStack icon) {
         this.key = key;
         this.icon = icon;
     }
@@ -41,7 +41,7 @@ public class NetherPage extends AchievementPage {
     }
 
     @Override
-    public IconCoordinate getBackgroundTile(AchievementsScreen screen, int layer, Random random, int tileX, int tileY) {
+    public IconCoordinate getBackgroundTile(ScreenAchievements screen, int layer, Random random, int tileX, int tileY) {
         random.setSeed(random.nextLong() + key.hashCode()); // makes seed different for each instance of this class :)
 
         final int bedrockLayer = 35;
@@ -60,7 +60,7 @@ public class NetherPage extends AchievementPage {
     }
 
     @Override
-    public void postProcessBackground(AchievementsScreen screen, Random random, AchievementsScreen.BGLayer layerCache, int orgX, int orgY) {
+    public void postProcessBackground(ScreenAchievements screen, Random random, ScreenAchievements.BGLayer layerCache, int orgX, int orgY) {
         if (layerCache.id == 0) {
             int lastY = 0;
             int cave = -1;
@@ -123,7 +123,7 @@ public class NetherPage extends AchievementPage {
         return 0xff0000;
     }
 
-    protected void carveCircle(AchievementsScreen screen, AchievementsScreen.BGLayer layer, int centerX, int centerY, int radius){
+    protected void carveCircle(ScreenAchievements screen, ScreenAchievements.BGLayer layer, int centerX, int centerY, int radius){
         for (int i = centerX - radius; i <= centerX + radius ; i++) {
             for (int j = centerY - radius; j < centerY + radius; j++) {
                 double diffX = (i + 0.5) - centerX;
